Groovy 1.7.0

## org.codehaus.groovy.util
Class ManagedDoubleKeyMap

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap
              org.codehaus.groovy.util.ManagedDoubleKeyMap

    class ManagedDoubleKeyMap
    extends AbstractConcurrentDoubleKeyMap

Nested Class Summary
`class` | `ManagedDoubleKeyMap.Entry`
`class` | `ManagedDoubleKeyMap.EntryWithValue`
`class` | `ManagedDoubleKeyMap.Ref`
`class` | `ManagedDoubleKeyMap.Segment`

Field Summary

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`ManagedDoubleKeyMap(ReferenceBundle bundle)`

Method Summary
`protected def` | `createSegment(Object segmentInfo, int cap)`

Methods inherited from class AbstractConcurrentDoubleKeyMap
get, getOrPut, hash, put, remove, segmentFor

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ManagedDoubleKeyMap

    public ManagedDoubleKeyMap(ReferenceBundle bundle)

Method Detail

### createSegment

    protected def createSegment(Object segmentInfo, int cap)

Copyright © 2003-2009 The Codehaus. All rights reserved.